//------------------------------------------------------------
//
//------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1  LimeGreen
#property indicator_color2  DeepSkyBlue
#property indicator_color3  Orange
#property indicator_color4  Red
#property indicator_width1  2
#property indicator_width2  2
#property indicator_width3  2
#property indicator_width4  2

extern int LookBackBars = 10;

double value1[];
double value2[];
double value3[];
double value4[];

//------------------------------------------------------------
//
//------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,value1); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,value2); SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,value3); SetIndexStyle(2,DRAW_HISTOGRAM);
   SetIndexBuffer(3,value4); SetIndexStyle(3,DRAW_HISTOGRAM);
   return(0); 
}
int deinit() { return(0); }

//------------------------------------------------------------
//
//------------------------------------------------------------
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

   for (int i=limit; i>=0; i--)
   {
      value1[i] = EMPTY_VALUE;
      value2[i] = EMPTY_VALUE;
      value3[i] = EMPTY_VALUE;
      value4[i] = EMPTY_VALUE;
	      if (Close[i] > Close[i+LookBackBars] && Volume[i] > Volume[i+LookBackBars]) value1[i] = Volume[i];      
	      if (Close[i] > Close[i+LookBackBars] && Volume[i] < Volume[i+LookBackBars]) value2[i] = Volume[i];
	      if (Close[i] < Close[i+LookBackBars] && Volume[i] < Volume[i+LookBackBars]) value3[i] = Volume[i];
	      if (Close[i] < Close[i+LookBackBars] && Volume[i] > Volume[i+LookBackBars]) value4[i] = Volume[i];
   }
   return(0);
}